### Method

# Fwupd BiosSetting map_possible_value

#### Declaration [src]

    const gchar*
    fwupd_bios_setting_map_possible_value (
      FwupdBiosSetting* self,
      const gchar* key,
      GError** error
    )

#### Description [src]

Attempts to map a user provided string into strings that a `FwupdBiosSetting` can support. The following heuristics are used: - Ignore case sensitivity - Map obviously “positive” phrases into a value that turns on the `FwupdBiosSetting` - Map obviously “negative” phrases into a value that turns off the `FwupdBiosSetting`.

Available since: | 1.8.4

#### Parameters

`key` | `const gchar*`
| The string to try to map.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `const gchar*`
| The possible value that maps or NULL if none if found.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.